File: changelog

package info (click to toggle)
cegui-mk2 0.8.7-9
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 57,636 kB
  • sloc: cpp: 305,392; python: 1,175; ansic: 788; sh: 608; xml: 191; java: 162; makefile: 23
file content (618 lines) | stat: -rw-r--r-- 23,386 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
cegui-mk2 (0.8.7-9) unstable; urgency=high

  * Temporarily remove symbols file since it is becoming unmanageable
    -- Will eventually fix visibility as suggested by Simon McVittie and
       Stephen Kitt in the bug this closes: #962518

 -- Olek Wojnar <olek@debian.org>  Sun, 14 Jun 2020 15:03:14 -0400

cegui-mk2 (0.8.7-8) unstable; urgency=medium

  * Mark one symbol optional, disappearing on ppc64el with -O3
    - Thanks to Gianfranco Costamagna for the patch (Closes: #962329)

 -- Olek Wojnar <olek@debian.org>  Sat, 06 Jun 2020 20:51:57 -0400

cegui-mk2 (0.8.7-7) unstable; urgency=medium

  * Update symbols to fix FTBFS (Closes: #960378, #957076)

 -- Olek Wojnar <olek@debian.org>  Fri, 05 Jun 2020 20:18:26 -0400

cegui-mk2 (0.8.7-6) unstable; urgency=medium

  * Merge Ubuntu patch from Dimitri John Ledkov (Closes: #950859)
    - Patch CMakeLists for new Boost_VERSION syntax
    - Drop unused boost signals dependency
  * Update standards to 4.5.0 (no changes)
  * Update d/copyright date and my email address
  * Remove unused d/source/include-binaries file

 -- Olek Wojnar <olek@debian.org>  Sun, 09 Feb 2020 17:21:57 -0500

cegui-mk2 (0.8.7-5) unstable; urgency=high

  * Fix d/symbols for all architectures
  * Use pkg-kde-tools to manage symbols
  * Depend on newer libtiff5-dev
  * Add include directory to multi-arch.patch for cross-compiling support
  * Update font copyrights
  * Add lintian override for fonts-cegui due to incorrect fsType in font

 -- Olek Wojnar <olekw.dev@gmail.com>  Sat, 21 Dec 2019 13:04:04 -0500

cegui-mk2 (0.8.7-4) unstable; urgency=medium

  * Build extensions for only the default python version (Closes: #943611)
  * Remove python 2 package (Closes: #936279)
  * Update to compatibility level 12 and remove d/compat file
  * Update standards to 4.4.1 (no changes)
  * Specify Rules-Requires-Root: no
  * Fix python dependency scheme
  * Add d/symbols file

 -- Olek Wojnar <olekw.dev@gmail.com>  Sun, 08 Dec 2019 20:24:25 -0500

cegui-mk2 (0.8.7-3) unstable; urgency=medium

  * Update d/copyright:
    - Use secure URLs
    - Add myself to debian/*
    - Update debian/* copyright dates
    - Consolidate license information
    - Clarify an unnamed license as BSD-3-clause (char-for-char match)
  * Update d/control:
    - Move package maintenance under Debian Games Team
    - Add myself as secondary uploader
    - Update build-depend from pyside-tools to pyside2-tools (Closes: #910679)
    - Update VCS URLs
    - Update standards to 4.3.0 (no changes)
    - Add missing depends for -doc package (Closes: #924190)
    - Remove unnecessary build-depend on libdirectfb-dev (Closes: #855515)
    - Mark -doc package as Multi-Arch foreign, mark lib and -dev as MA same
  * Update d/rules:
    - Add fixfilepath to DEB_BUILD_MAINT_OPTIONS for build reproducibility
    - Use jdupes to replace duplicate documentation files with softlinks
  * Update d/debian/patches/xerces32_changes:
    - Add missing DEP 3 info
    - Add missing blank line at EOF
  * Update to compatibility level 11:
    - Update d/compat to 11
    - Update d/control build-deps: debhelper to >= 11 and remove dh-autoreconf
  * Add d/upstream/metadata: for DEP 12 compliance
  * Move from CDBS to debhelper:
    - Update d/control and d/rules
    - Remove unnecessary d/dirs files
    - Update d/install files
    - Update doxygenout patch
  * Enable support for both python2 and python3 (Closes: #739074):
    -- Update d/control, d/rules, and d/*libcegui-mk2-0.8.7.install
    -- Add d/patches/python3.patch
    -- Add python- and python3- .install files
  * Convert to automatic debug package: update d/control and d/rules
  * Remove obsolete patches
  * Create manpages and separate package for two bundled binaries
  * Move library data from -doc package to new -data and fonts- packages
  * Add lintian override for package-name-doesnt-match-sonames
  * Add d/patches/mizufalp.patch: Eliminate code references to removed font
  * Add d/patches/multi-arch.patch: Add support for Multi-Arch to CMake
  * Add d/relative_paths.patch: Remove absolute build path directory
  * Add d/jura_fonts.patch: Update references to changed Jura font
  * Add d/futhark_font.patch: Update code due to removal of space in filename

 -- Olek Wojnar <olekw.dev@gmail.com>  Tue, 02 Apr 2019 19:54:03 -0400

cegui-mk2 (0.8.7-2) unstable; urgency=medium

  * This upload fixes FTBFS caused by xerces-c3.2. Thanks to  William Blough
    for providing a patch (Closes: #881018).

 -- Muammar El Khatib <muammar@debian.org>  Thu, 16 Nov 2017 21:43:47 -0500

cegui-mk2 (0.8.7-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install required libs in main package, not in dev package (Closes: #833705)
  * Add patch to allow compiling on kFreeBSD

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 21 Aug 2016 11:48:42 -0400

cegui-mk2 (0.8.7-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Frédéric Bonnard ]
  * Run autoreconf during the build.  Closes: #758528

  [ Mattia Rizzolo ]
  * Build depend on unversioned boost.  Closes: #833797

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Aug 2016 21:33:21 +0000

cegui-mk2 (0.8.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to GLFW 3. (Closes: #826287)

 -- James Cowgill <jcowgill@debian.org>  Sat, 02 Jul 2016 22:22:02 +0200

cegui-mk2 (0.8.7-1) unstable; urgency=medium

  [ Muammar El Khatib ]
  * New upstream release.
  *  debian/control:
     + Build-depends on: libice-dev, libsm-dev, libirrlicht-dev.
     + libcegui-mk2-dev depends on libpng-dev instead of libpng16-dev
     | libpng-dev. Thanks to Gianfranco Costamagna for reporting this bug
     (Closes: #820307).

 -- Muammar El Khatib <muammar@debian.org>  Sat, 30 Apr 2016 17:18:49 +0200

cegui-mk2 (0.8.5-1) unstable; urgency=medium

  [ Muammar El Khatib ]
  * New upstream release.
  * debian/compat: bump to compat level 9.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 29 Mar 2016 18:13:38 +0200

cegui-mk2 (0.8.4+dfsg-5) unstable; urgency=medium

  [ Muammar El Khatib ]
  * -DCEGUI_BUILD_RENDERER_OPENGL3=ON option is passed to build the package.
  * debian/control:
    + Build-depends on: mesa-utils-extra, libglapi-mesa, python-opengl,
    pyside-tools, libboost-python-dev.

 -- Muammar El Khatib <muammar@debian.org>  Mon, 28 Mar 2016 22:40:34 +0200

cegui-mk2 (0.8.4+dfsg-4) unstable; urgency=medium

  [ Muammar El Khatib ]
  * The SampleFramework was deactivated due to missing OpenGL dependencies
    (GLFW library). In this revision libglfw-dev was added to fulfill this.
  * debian/control:
    + Build-depends on: libglfw-dev, libfribidi-dev, libirrlicht-dev,
    libdirectfb-dev, libgtk2.0-dev, libminizip-dev, librapidxml-dev.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 12 Jan 2016 21:49:56 +0100

cegui-mk2 (0.8.4+dfsg-3) unstable; urgency=medium

  [ Tobias Frost ]
  * Team upload.
  * d/control: Add VCS-* field point to collab-maint on alioth.
  * Update watchfile.

  [ Muammar El Khatib ]
  * Package build fine with GLEW 1.12.0. (Closes: #790958)
  * CEGUI now is built with libpng16. (Closes: #809886)
  * debian/copyright:
    + The file datafiles/fonts/RichStyle.ttf is licensed under "Ubuntu Font
    License 1.0".
    + License CC-BY-SA for promo/* has been corrected in this revision.
  * The file ./datafiles/fonts/mizufalp.ttf is not redistributable, and now
    has been taken out from the pristine tarball.
  * Embedded javascript library jquery.js was linked against the one provided
    by libjs-jquery package.
  * debian/control:
    + Build-Depends on libjs-jquery.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 10 Jan 2016 01:11:43 +0100

cegui-mk2 (0.8.4-2) unstable; urgency=medium

  * debian/copyright file has been improved in this new revision.
  * debian/control:
    + Build-Depends on libglew-dev.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 22 Jul 2015 15:22:20 +0200

cegui-mk2 (0.8.4-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.9.6.
  * debian/control:
    + CMAKE dependency added.
    + liblua5.1-expat-dev build-dependency was changed to lua-expat-dev.
      (Closes: #729649)
        + doxygen, and graphviz has been added as a build-dependency to compile
      the documentation of CEGUI.
    + automake1.9 has been dropped.
    + ${shlibs:Depends} added to libcegui-mk2-dev package.
    + Build-Depends on libogre-1.9-dev. (Closes: #732723)
    + libcegui-mk2-dev depends on liblcms2-dev.
  * debian/patches:
    + CMakeLists.txt was modified so that cmake is able to find Boost. For
      more information about the change made, check cmakelistchanges.
  * debian/rules:
    + All rules to autotools has been dropped. (Closes: #724357)
  * debian/README.source file has been deleted. This file is not needed
    anymore, given that dpkg-source -x is capable of applying the patches. For
    more information, please refer to:
        https://wiki.debian.org/Projects/DebSrc3.0

 -- Muammar El Khatib <muammar@debian.org>  Sun, 24 May 2015 12:02:20 +0200

cegui-mk2 (0.7.6-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unneeded dependency on liblcms-dev (Closes: #745530) and libmng-dev
    which would also pull-in lcms.

 -- Tobias Frost <tobi@debian.org>  Sun, 03 Aug 2014 19:09:41 +0200

cegui-mk2 (0.7.6-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to automake1.11. (Closes: #724357)

 -- Eric Dorland <eric@debian.org>  Mon, 03 Mar 2014 22:54:44 -0500

cegui-mk2 (0.7.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "boost 1.53 is going away" Removing versioned dependencies
    (Closes: #731019)

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 11 Jan 2014 14:47:21 +0000

cegui-mk2 (0.7.6-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.4.
  * debian/control:
    + OGRE dependency was updated to 1.8. (Closes: #704781)
    + Boost dependency was updated to 1.53.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 14 Aug 2013 20:41:39 +0200

cegui-mk2 (0.7.6-2) unstable; urgency=low

  * debian/patches:
    + The patch 01_cegui-mk2_kfreebsd.patch has been updated in order to avoid
      the FTBFS in kfreebsd caused by d_handle not declared. (Closes: #663152)
    + The patch 09_addingheaderforgcc4.4.patch was renamed to
      02_addingheaderforgcc4.4.patch.
    + The patches 11_ftbfs_ptrdiff.patch and 12_CEGUItinyxmlparser.patch were
      removed.

 -- Muammar El Khatib <muammar@debian.org>  Fri, 09 Mar 2012 11:25:50 +0100

cegui-mk2 (0.7.6-1) unstable; urgency=low

  * New upstream release. (Closes: #662074)
  * debian/control:
    + Build-Depends updated. Now the library depends on libpng-dev instead of
      libpng12-dev. (Closes: #662284)
  * Libcegui API documentation contains the CSS files making it show correctly.
    (Closes: #661222)

 -- Muammar El Khatib <muammar@debian.org>  Mon, 05 Mar 2012 14:01:30 +0100

cegui-mk2 (0.7.5-8) unstable; urgency=low

  * In this revision, the embedded tolua++ library has been deleted in order of
  making CEGUI explicitly depends on the tolua library in the Debian Archive.
  (Closes: #656337). Thanks to Stephen M. Webb for providing a solution.
  * debian/control:
    + libtolua++5.1-dev (>= 1.0.93) has been added to the Build-Depends field.

 -- Muammar El Khatib <muammar@debian.org>  Thu, 19 Jan 2012 15:04:45 +0100

cegui-mk2 (0.7.5-7) unstable; urgency=low

  * Moved to unstable. (Closes: #645109)

 -- Muammar El Khatib <muammar@debian.org>  Thu, 13 Oct 2011 12:43:12 +0200

cegui-mk2 (0.7.5-6) experimental; urgency=low

  * debian/control: dependencies have been updated to use libxerces-c-dev.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 27 Aug 2011 15:19:56 +0200

cegui-mk2 (0.7.5-5) experimental; urgency=low

  * The change introduced in previous revision of cegui-mk2 has been reverted
    so that CEGUI can Build-Depends on libxml2-dev in kfreebsd. In order to
    make it compile with the tinixml parser the 12_CEGUItinyxmlparser patch
    has been applied.
  * CEGUI was FTBFS because 'DYNLIB_HANDLE' did not name a type in
    CEGUIDynamicModule.cpp, this error was fixed by applying again the patch
    01_cegui-mk2_kfreebsd.patch. (Closes: #621891)

 -- Muammar El Khatib <muammar@debian.org>  Thu, 25 Aug 2011 23:04:39 +0200

cegui-mk2 (0.7.5-4) experimental; urgency=low

  * In FreeBSD CEGUI 0.7.X fails to build from source because of the version
    of TinyXML (Read: http://www.cegui.org.uk/phpBB2/viewtopic.php?f=3&t=5656)
    So, the Build-Depends field in debian/control has been modified to make
    libxml2-dev a dependency only in Linux Kernel.

 -- Muammar El Khatib <muammar@debian.org>  Mon, 23 Aug 2011 16:39:41 +0200

cegui-mk2 (0.7.5-3) experimental; urgency=low

  * Adding libglew1.6-dev to Build-Depends to avoid static link to glew which
    is already in the Debian archive.

 -- Muammar El Khatib <muammar@debian.org>  Mon, 15 Aug 2011 13:59:29 +0200

cegui-mk2 (0.7.5-2) experimental; urgency=low

  * SILLY image codec has been added in this revision. (Closes: #525445)
  * Switch to dpkg-source 3.0 (quilt) format.
  * In this new revision, CEGUI will provide CEGUIOgreRenderer.
    (Closes: #627626)
  * Acknowledge NMU. (Closes: #631764)
  * debian/control:
    + Change from libois-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] to
      libois-dev [linux-any] in Build-Depends field. (Closes: #634727)
  * CEGUINullRenderer is being provided in this revision as well.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 26 Jul 2011 14:49:26 +0200

cegui-mk2 (0.6.2-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (Closes: #620579).
  * Depend on liblua5.1-dev (Closes: #627556).
  * Add <cstddef> include (Closes: #627558).
  * Add -llua5.1 -ldl to LDFLAGS (Closes: #618093).
  * Stop build depending on dbs (Closes: #576064).

 -- Luk Claes <luk@debian.org>  Sun, 26 Jun 2011 23:39:06 +0200

cegui-mk2 (0.7.5-1) experimental; urgency=low

  * New upstream release. (Closes: #597868)
  * FTBFS with binutils-gold is fixed in this revision by using the LDFLAGS
    -llua5.1 -ldl. Thanks to Bhavani Shankar for providing a patch.
    (Closes: #554085)
  * Bump Standards-Version to 3.9.1.
  * debian/control:
    + The next Build-Depends were added: libxcursor-dev, libxpm-dev,
      libpng12-dev, python-dev, libmng-dev, libxxf86vm-dev, libexpat1-dev, and
      libxml2-dev.
  * tar-in-tar source package has been dropped.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 16 Feb 2011 09:19:15 +0100

cegui-mk2 (0.6.2-5) unstable; urgency=low

  * Fix the build on kFreeBSD
    + debian/patches/01_cegui-mk2_kfreebsd.dpatch
    + Do not build-depend on libois-dev on kFreeBSD. (Closes: #592952)
    + Thanks to Gonéri Le Bouder for providing the patch to fix this issue.
  * Change of maintainer's mail.

 -- Muammar El Khatib <muammar@debian.org>  Thu, 11 Nov 2010 00:06:34 +0200

cegui-mk2 (0.6.2-4) unstable; urgency=low

  * Bump Standards-Version to 3.8.4. No changes were needed.
  * debian/control: libpcre3-dev, libfreetype6-dev and libfreeimage-dev were
    added in libcegui-mk2-dev Depends field. (Closes: #560280)
  * debian/watch: uversionmangle option has been added in order to make uscan
    report the right version of CEGUI.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 21 Feb 2010 19:29:55 -0430

cegui-mk2 (0.6.2-3) unstable; urgency=low

  * Bug: FTBFS compilation error ('class OIS::InputManager’ has no member named
    ‘numKeyboards') has been fixed in this revision. A patch has been applied
    to CEGuiOgreBaseApplication.cpp. (Closes: #557767)
  * Some improvements to the packaging were done thanks to the collaboration
    from Ubuntu. Thanks to Alessio Treglia for providing a patch.
    (Closes: #558136)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue, 01 Dec 2009 15:26:11 -0430

cegui-mk2 (0.6.2-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.3. No changes were needed.
  * debian/control: Build-Depends field has been updated to now use:
    - libboost-signals-dev
    - libboost-regex-dev
    With the update shown above we can ensure that CEGUI is built with the
    newest boost versions. (Closes: #550018)
  * debian/patches: 09_addingheaderforgcc4.4.dpatch has been added to make
    CEGUI compile with gcc-4.4. (Closes: #528919)
  * CEGUI does not FTBFS anymore, this bug was fixed by upstream.
    (Closes: #457626)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Wed, 07 Oct 2009 11:06:38 -0430

cegui-mk2 (0.6.2-1) unstable; urgency=low

  * Bump Standards-Version to 3.8.1
  * debian/control: libcegui-mk2-1-dbg's section has been changed from libdevel
    to debug. libcegui-mk2-1's section has been removed because it was a
    duplicated field.
  * debian/patches: 06_patching_CEGUIDevILImageCodec.dpatch has been added in
    order to make CEGUI compile correctly.
  * CEGUI is now built with TinyXML. (Closes: #502477, #502478)
  * New upstream version.
  * FTBFS due to ‘ILvoid’ not declared in the scope has been fixed.
    (Closes: #525412)
  * The module loading depended on .so links, which are only found in the -dev
    package has been changed in order to make it use *.so.* directly. Thanks to
    Vincent Fourmond for providing a patch.
    (Closes: #425983, #524933)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Thu, 09 Apr 2009 12:07:37 -0430

cegui-mk2 (0.6.1-1) unstable; urgency=low

  * Bump Standards-Version to 3.8.0
  * New upstream version.
  * SILLY ImageCodec is now supported. (Closes: #491075)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 07 Sep 2008 17:35:47 -0430

cegui-mk2 (0.5.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added dependencies into -dev package for all libs
    used in .la files, closes: #496320

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 05 Sep 2008 12:12:53 +0300

cegui-mk2 (0.5.0-4) unstable; urgency=low

  * The version of debhelper was change from >= 5 to >= 6.
  * CEGUI now Build-depends on libxerces-c2-dev instead of libxerces27-dev.
    (Closes: #479190)
  * Lua scripting is now enabled in this new revision of CEGUI. (Closes:
    #456244)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 09 May 2008 13:24:16 -0430

cegui-mk2 (0.5.0-3) unstable; urgency=low

  * Bump Standards-Version to 3.7.3.
  * Webpage was moved from cegui-mk2's description to control tag.
  * Added to Build-depends: dpatch, liblua50, liblua50-dev, liblualib50, lua50
  * Bug 'FTBFS on GNU/kFreeBSD' has been fixed in this revision. Thanks to
    Cyril Brulebois for providing a patch.(Closes: #413896)
  * Bug 'Not detecting Lua at configure time' has been fixed in this revision.
    Thanks to Erick Vresnev Castellanos Hernández <vresnev@ideasavanzadas.com>
    (Closes: #456244)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Thu, 17 Jan 2008 11:23:53 -0430

cegui-mk2 (0.5.0-2) unstable; urgency=low

  * The problem related to soname change without package name bump has been
    fixed (Closes: #423502 )

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 17 Jun 2007 19:40:45 +0100

cegui-mk2 (0.5.0-1) unstable; urgency=low

  * New upstream release. (Closes: #402445)
  * Fix Depends: libpcre3-dev was added.
  * The version of debhelper was changed to >= 5 instead of > 4.0.0,
    so linda does not complaint.
  * New maintainer. (Closes: #398108)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue, 26 Dec 2006 01:02:08 -0400

cegui-mk2 (0.4.1-2) unstable; urgency=low

  * QA upload.
  * Build depend on libgl1-mesa-dev, libglu1-mesa-dev, libdevil-dev for
    the OpenGL renderer.  Closes: #341795, #370541.

 -- Matej Vela <vela@debian.org>  Fri, 15 Dec 2006 19:10:20 +0100

cegui-mk2 (0.4.1-1.3) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group.
  * Acknowledge NMUs (Closes: #368356).
  * Fix spelling mistakes in description (Closes: #343157).

 -- Luk Claes <luk@debian.org>  Tue,  5 Dec 2006 20:11:06 +0100

cegui-mk2 (0.4.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * (Build-)Depends upon xerces27 instead of xerces26 (Closes: #368913).
  * Bump Standards-Version to 3.7.2.

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  2 Jul 2006 17:04:02 +0200

cegui-mk2 (0.4.1-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Fix Depends: for libcegui-mk2-0c2a-dbg, thanks to  Robert Luberda
    <robert@debian.org> and Matt Kraai <kraai@ftbfs.org> for the fix
    (Closes: #356491)

 -- Frederik Schüler <fs@debian.org>  Sat, 20 May 2006 16:41:33 +0000

cegui-mk2 (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Added back documentation to -doc package (Closes: #319000).
  * Added patch 02_cegui-mk2-kfreebsd.diff (Closes: #335686).
  * Changed library package name into libcegui-mk2-0c2a because
    of the libstdc++ allocator change (Closes: #339156).

 -- Federico Di Gregorio <fog@debian.org>  Tue, 29 Nov 2005 12:23:21 +0100

cegui-mk2 (0.3.0-3) unstable; urgency=low

  * Added to Build-depends: pkg-config (Closes: #321842).
  * Added explicit versions of autotools in debian/rules
    (Closes: #303079, #303072).

 -- Federico Di Gregorio <fog@debian.org>  Sun, 21 Aug 2005 12:56:25 +0200

cegui-mk2 (0.3.0-2) unstable; urgency=low

  * Rebuilt with c2 versions of libboost-xxx and libxerces26.
  * Added to Build-depends: libtiff4-dev, liblcms1-dev.

 -- Federico Di Gregorio <fog@debian.org>  Sun, 24 Jul 2005 23:10:03 +0200

cegui-mk2 (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Building with gcc 4.
  * Source package does not include API documentation anymore (will be
    fixed by generating documentation in a future release.)

 -- Federico Di Gregorio <fog@debian.org>  Mon, 11 Jul 2005 11:05:56 +0200

cegui-mk2 (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Removed Build-Depends on Ogre.
  * Changed description in control to correctly describe this package
    to support only the OpenGL target. Ogre rendering will be in Ogre
    packages >= 1.0.0.

 -- Federico Di Gregorio <fog@debian.org>  Sat, 12 Mar 2005 14:51:02 +0100

cegui-mk2 (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Removed 10fix-pc-version patch (fixed upstream.)
  * Switched to libxerces26.

 -- Federico Di Gregorio <fog@debian.org>  Sun, 23 Jan 2005 23:09:56 +0100

cegui-mk2 (0.1.0-4) unstable; urgency=low

  * Now the API documentation is really included in the -doc package.
  * Added Suggests: libcegui-mk2-doc to libcegui-mk2-dev package.

 -- Federico Di Gregorio <fog@debian.org>  Sun,  9 Jan 2005 16:39:26 +0100

cegui-mk2 (0.1.0-3) unstable; urgency=low

  * Added debug package (libcegui-mk2-0-dbg).
  * Better sections in debian/control.
  * Fixed problem with wrong version in configure.ac (and CEGUI-OGRE.pc).
  * Added Build-depends on libxerces25-dev.

 -- Federico Di Gregorio <fog@initd.org>  Sun,  2 Jan 2005 18:47:44 +0100

cegui-mk2 (0.1.0-2) unstable; urgency=low

  * Upstream started versioning releases the Right Way (TM).
  * First stable release to follow ogre packages in Debian.
  * Added to Build-depends: libxerces27-dev.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 31 Dec 2004 01:44:19 +0100

cegui-mk2 (0.0.mk2-1) unstable; urgency=low

  * Initial release.

 -- Federico Di Gregorio <fog@debian.org>  Mon,  9 Nov 2004 23:12:34 +0200